Skip to main content
GET
https://www.geeknow.top
/
v1
/
videos
/
{task_id}
Sora 任务查询
curl --request GET \
  --url https://www.geeknow.top/v1/videos/{task_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "task_id": "<string>"
}
'
{
  "id": "video_abc123",
  "object": "video",
  "model": "sora-2",
  "status": "queued",
  "progress": 0,
  "created_at": 1735689600,
  "completed_at": 0,
  "expires_at": 1735776000,
  "seconds": "10",
  "size": "720x1280",
  "remixed_from_video_id": "",
  "error": {
    "message": "",
    "code": ""
  },
  "video_url": ""
}

Documentation Index

Fetch the complete documentation index at: https://docs.geeknow.top/llms.txt

Use this file to discover all available pages before exploring further.

Sora 任务查询

Sora 系列任务提交后,通过 GET /v1/videos/{task_id} 查询。路由层对应 router/video-router.go 里的 videoV1Router.GET("/videos/:task_id", controller.RelayTaskFetch)
  • 查询路径是 GET /v1/videos/{task_id}
  • 成功返回的是 OpenAI 风格 video 对象。
  • 任务完成后通常可从 video_url 读取结果;如果缺失,服务端还可能补出 /v1/videos/{task_id}/content 代理地址。

方法与路径

GET /v1/videos/{task_id}

请求示例

curl https://www.geeknow.top/v1/videos/video_abc123 \
  -H "Authorization: Bearer YOUR_API_KEY"

响应示例

{
  "id": "video_abc123",
  "object": "video",
  "model": "sora-2",
  "status": "queued",
  "progress": 0,
  "created_at": 1735689600,
  "completed_at": 0,
  "expires_at": 1735776000,
  "seconds": "10",
  "size": "720x1280",
  "remixed_from_video_id": "",
  "error": {
    "message": "",
    "code": ""
  },
  "video_url": ""
}

认证

Authorization: Bearer YOUR_API_KEY

Path Parameters

task_id
string
required
视频任务 ID。

Response

id
string
任务 ID。
object
string
固定为 video
status
string
任务状态,常见值包括 queuedprocessingcompletedfailedcancelled
progress
integer
进度百分比。
seconds
string
输出时长。
size
string
输出尺寸。
video_url
string
视频结果地址。

相关接口